Can no longer perform automated factory installs due to changes in partman-base

Bug #354573 reported by Mario Limonciello on 2009-04-03
2
Affects Status Importance Assigned to Milestone
partman-base (Ubuntu)
High
Colin Watson

Bug Description

In the last upload of partman-base, 129ubuntu5, a preseed that allowed Dell factory installs to work was removed.
The preseed that was previously line previously used was:

d-i partman/filter_mounted boolean false

This would allow partman to ignore that a disk was mounted, and let you still install into the free space on the disk. This option was removed, so now automated installs on disks containing the recovery partition are not permitted.

(The reason why this is not generally supported is that it only works if the partitioning changes that are made are strictly after any mounted partition, and partman has no way to enforce that accurately as yet. However, it may be possible in special cases such as that used by Dell's recovery partition system.)

Mario Limonciello (superm1) wrote :
Mario Limonciello (superm1) wrote :
summary: - Can no longer perform factory installs due to changes in partman-base
+ Can no longer perform automated factory installs due to changes in
+ partman-base
Mario Limonciello (superm1) wrote :

To clarify, when it pops up this warning, you can still manually make partitions and things will work.

Mario Limonciello (superm1) wrote :

The change that actually caused the breakage was in partman-auto. We're using a recipe for the rest of the disk, and now partman-auto is ignoring such situations in it's last upload:

=== modified file 'debian/changelog'
--- debian/changelog 2009-02-11 13:33:18 +0000
+++ debian/changelog 2009-04-02 10:48:51 +0000
@@ -1,3 +1,11 @@
+partman-auto (84ubuntu2) UNRELEASED; urgency=low
+
+ * Exclude devices containing the installation medium from automatic
+ partitioning (LP: #347916). Requires partman-base 129ubuntu5 for this
+ change to work properly.
+
+ -- Colin Watson <email address hidden> Thu, 02 Apr 2009 11:47:37 +0100
+
 partman-auto (84ubuntu1) jaunty; urgency=low

   * Resynchronise with Debian. Remaining changes:

=== modified file 'lib/auto-shared.sh'
--- lib/auto-shared.sh 2008-11-15 00:05:57 +0000
+++ lib/auto-shared.sh 2009-04-02 10:48:51 +0000
@@ -204,6 +204,9 @@

   device=$(cat $dev/device)

+ # Skip devices containing the installation medium
+ [ -e "$dev/installation_medium" ] && continue
+
   # Skip software RAID (mdadm) devices (/dev/md/X and /dev/mdX)
   $(echo "$device" | grep -Eq "/dev/md/?[0-9]*$") && continue

affects: partman-base (Ubuntu) → partman-auto (Ubuntu)
summary: Can no longer perform automated factory installs due to changes in
- partman-base
+ partman-auto
description: updated

Reassigning back to partman-base; this is better fixed there.

affects: partman-auto (Ubuntu) → partman-base (Ubuntu)
Changed in partman-base (Ubuntu):
assignee: nobody → cjwatson
importance: Undecided → High
status: New → Triaged
description: updated
summary: Can no longer perform automated factory installs due to changes in
- partman-auto
+ partman-base
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-base - 129ubuntu6

---------------
partman-base (129ubuntu6) jaunty; urgency=low

  * Support partman/filter_mounted preseeding again, for some special cases
    that know they can get away with modifying partitions after the one
    containing the installation medium (LP: #354573).

 -- Colin Watson <email address hidden> Fri, 03 Apr 2009 23:28:17 +0100

Changed in partman-base (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers